public with sharing class TestFields {
    
    public void testFields(){
    	ESignLiveSDK sdk = new ESignLiveSDK();
    	
    	//create field to an existing approval
        ESignLiveAPIObjects.Field label_field = new ESignLiveAPIObjects.Field();
        label_field.id = 'label_field';		
        label_field.type = 'INPUT';
        label_field.subtype = 'LABEL';
        label_field.value = 'old label value';
    	label_field.page = 0;
    	label_field.top = 100.0;
    	label_field.left = 50.0;
    	label_field.width = 150.0;
    	label_field.height = 50.0;
    	
    	//String packageId, String documentId, String approvalId, ESignLiveAPIObjects.Field fieldToCreate
    	String label_field_response = sdk.addField('yjn7R9GyKU_BRhUjvLrWFp5vUEA=','f3e381eec45b4df851bd28087ad12104c620814bccca6b76','8ELNXeOxMHsD',label_field);
    	label_field = (ESignLiveAPIObjects.Field)JSON.deserialize(label_field_response, ESignLiveAPIObjects.Field.class);
    	
    	
    	//update field
    	//String packageId, String documentId, String approvalId, String fieldId, ESignLiveAPIObjects.Field fieldToUpdate
    	label_field.value = 'changed label value';
    	sdk.updateField('yjn7R9GyKU_BRhUjvLrWFp5vUEA=','f3e381eec45b4df851bd28087ad12104c620814bccca6b76','8ELNXeOxMHsD',label_field.id,label_field);
    	
    	
    	//retrieve field
    	//String packageId, String documentId, String approvalId, String fieldId
    	label_field = sdk.getField('yjn7R9GyKU_BRhUjvLrWFp5vUEA=','f3e381eec45b4df851bd28087ad12104c620814bccca6b76','8ELNXeOxMHsD',label_field.id);
    	System.debug('updated label value : '+ label_field.value);
    	
    	
    	//delete field
    	//String packageId, String documentId, String approvalId, String fieldId
    	//sdk.deleteField('yjn7R9GyKU_BRhUjvLrWFp5vUEA=','f3e381eec45b4df851bd28087ad12104c620814bccca6b76','8ELNXeOxMHsD',label_field.id);
    	
    
    }
    
}